package cybersecurity

import (
	"crypto/md5"
	"encoding/hex"
)

// HashMD5 calcula el hash MD5 de los datos proporcionados y devuelve el resultado como string hexadecimal.
func HashMD5(data []byte) string {
	h := md5.Sum(data)
	return hex.EncodeToString(h[:])
}
